Page MenuHomePhabricator

[TSan] Improve handling of stack pointer mangling in {set,long}jmp, pt.8
ClosedPublic

Authored by yln on Jul 2 2019, 11:58 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

yln created this revision.Jul 2 2019, 11:58 AM
Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptJul 2 2019, 11:58 AM
Herald added subscribers: llvm-commits, Restricted Project, jfb, kubamracek. · View Herald Transcript
dvyukov accepted this revision.Jul 4 2019, 11:25 AM
This revision is now accepted and ready to land.Jul 4 2019, 11:25 AM
This revision was automatically updated to reflect the committed changes.
phosek added a subscriber: phosek.Jul 9 2019, 11:41 AM

Our bots started failing with the following build error after this change landed:

/b/s/w/ir/k/llvm-project/compiler-rt/lib/tsan/rtl/tsan_platform_linux.cc:425:3: error: unknown type name 'jump_buf'; did you mean 'jmp_buf'?
  jump_buf env;
  ^~~~~~~~
  jmp_buf
/b/s/w/ir/k/cipd/linux-arm64/usr/include/setjmp.h:48:30: note: 'jmp_buf' declared here
typedef struct __jmp_buf_tag jmp_buf[1];
                             ^
/b/s/w/ir/k/llvm-project/compiler-rt/lib/tsan/rtl/tsan_platform_linux.cc:426:3: error: use of undeclared identifier 'REAL'
  REAL(setjmp)(env);
  ^
2 errors generated.

Is it possible to fix the issue or revert the change?